Bug 48762 - man does not create cat files even if told to do
Summary: man does not create cat files even if told to do
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-11 14:10 UTC by Henning Schmiedehausen
Modified: 2007-04-18 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-11 16:56:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:072 high SHIPPED_LIVE : Updated man package fixing GID security problems. 2001-05-28 04:00:00 UTC

Description Henning Schmiedehausen 2001-07-11 14:10:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-1t i686)

Description of problem:
man cannot create cat files in /var/catman because of missing
subdirectories.

How reproducible:
Always

Steps to Reproduce:
1. upgrade to the already well known man-1.5i2-0.6x
2. tell man to create "cat" pages by commenting out "NOCACHE" in
/etc/man.config
3. man ls 
4. ls -la /var/catman  --- it is empty

5. as root  mkdir /var/catman/cat1
6. man ls
7. ls -la /var/catman/cat1
# ls -la /var/catman/cat1
total 12
drwxr-xr-x    2 root     root         4096 Jul 11 16:10 .
drwxr-xr-x    3 root     root         4096 Jul 11 16:09 ..
-r--r--r--    1 root     root         2700 Jul 11 16:10 ls.1.gz

=> the man program does not create the needed directories and the man
package does
    not contain the needed directories. Catch 22


Actual Results:  The man program can not write the created cat pages
because the needed subdirs
are missing


Expected Results:  man should either create the subdirs itself or the man
package should contain all 
necessary subdirectories.

Additional info:

And yet another bug in the innocent looking yet really evil man-1.5i2
update from
Hell.

Please, don't ever again tell me that you actually test this stuff. This
bug is stupid.

Comment 1 Gilbert E. Detillieux 2001-07-11 16:56:35 UTC
Another related issue is that the "whatis" databases now get updated right in
the source man directories, rather than in cache directories. For example...

-rw-r--r--   1 root     root       497277 Jul 11 04:09 /usr/man/whatis

This is a problem on systems where /usr is mounted read-only.  All such variable
data should be somewhere under /var, and not within /usr itself.

Comment 2 Bernhard Rosenkraenzer 2001-09-21 20:42:32 UTC
Fixed in the current erratum



Note You need to log in before you can comment on or make changes to this bug.